xn::ModuleUserPositionInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleUserPositionInterface ()
virtual XnUInt32 | GetSupportedUserPositionsCount ()=0
virtual XnStatus | SetUserPosition (XnUInt32 nIndex, const XnBoundingBox3D &Position)=0
virtual XnStatus | GetUserPosition (XnUInt32 nIndex, XnBoundingBox3D &Position)=0
virtual XnStatus | RegisterToUserPositionChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromUserPositionChange (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModuleUserPositionInterface()

virtual xn::ModuleUserPositionInterface::~ModuleUserPositionInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## GetSupportedUserPositionsCount()

virtual XnUInt32 xn::ModuleUserPositionInterface::GetSupportedUserPositionsCount | ( |  | ) |

pure virtual

## GetUserPosition()

virtual XnStatus xn::ModuleUserPositionInterface::GetUserPosition | ( | XnUInt32 | nIndex,
|  | XnBoundingBox3D & | Position )

pure virtual

## RegisterToUserPositionChange()

virtual XnStatus xn::ModuleUserPositionInterface::RegisterToUserPositionChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## SetUserPosition()

virtual XnStatus xn::ModuleUserPositionInterface::SetUserPosition | ( | XnUInt32 | nIndex,
|  | const XnBoundingBox3D & | Position )

pure virtual

## UnregisterFromUserPositionChange()

virtual void xn::ModuleUserPositionInterface::UnregisterFromUserPositionChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h